GET /portfolios/{portfolio_gid}/custom_field_settings

asana.com

Summary: Get a portfolio's custom fields
Operation ID: getCustomFieldSettingsForPortfolio
Auth: oauth2
Description

Returns a list of all of the custom fields settings on a portfolio, in compact form.

Parameters (5)

limit (integer, query, optional)

Results per page. The number of objects to return per page. The value must be between 1 and 100.

offset (string, query, optional)

Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. 'Note: You can only pass in an offset that was returned to you via a previously paginated request.'

opt_fields (array, query, optional)

Defines fields to return. Some requests return *compact* representations of objects in order to conserve resources and complete the request more efficiently. Other times requests return more information than you may need. This option allows you to list the exact set of fields that the API should be sure to return for the objects. The field names should be provided as paths, described below. The id of included objects will always be returned, regardless of the field options.

opt_pretty (boolean, query, optional)

Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.

portfolio_gid (string, path, required)

Globally unique identifier for the portfolio.

No probe data for this endpoint yet.